Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0014090
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2010-07-29 16:072011-08-31 09:53
ReporterpsarobeView Statuspublic 
Assigned Toiperdomo 
PrioritynormalResolutioninvalidFixed in Version
StatusclosedFix in branchpiFixed in SCM revision
ProjectionnoneETAnoneTarget Version3.0MP3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version2.50MP19SCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0014090: If you deactivate a field and after compiling, the input hidden related with that field is still present

DescriptionIf you deactivate a field and after compiling, the input hidden related with that field is still present

There is something similar but works fine in the window Bank with the field C_Country_Id
Steps To Reproduce1. Login as Openbravo/openbravo role= System administrator
2. Go to Application dictionary->Windows, tabs and fields
3. Select the Gl journal window
4. Move to line tab
5. Click the search pop-up and click OK
6. Select the Tax field and deactivate
7. Compile: ant smartbuild
8. Restart tomcat
9. Login as Openbravo/openbravo role= Openbravo Admin
10. Go to Financial management->Accounting->Transactions->GL journal window
11. Click new and fill the mandatory fields. Save
12. Move to journal tab. Save
13. Move to lines and see the view frame source (Firefox:right click->this frame->View frame source). Notice that still present "<INPUT type="hidden" name="inpcTaxId" id="C_Tax_ID" value="xxxxx"></INPUT>"
Proposed SolutionNothing related to that field must be present in the html
TagsNo tags attached.
Attached Files? file icon 14090.export [^] (2,871 bytes) 2010-09-09 10:31

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00140992.50 closededuardo_Argal Some fields have to be hidden when APRM module is installed 
depends on backport 0018393 closedalostale If you deactivate a field and after compiling, the input hidden related with that field is still present 
blocks feature request 0007236 acknowledgedshuehner Tracking issue: Cleanup for 3.00 

-  Notes
(0030439)
alostale (manager)
2010-08-30 10:51

The difference between C_Bank.C_Country_ID and GL_JournalLine.C_Tax_ID is that in first case column and field are inactive whereas in the second case column is active and field is not.
(0030443)
alostale (manager)
2010-08-30 11:09

There are 180 fields in core that could be affected by this fix: inactive fields for an active column in an active table in an active tab in an active window.

They can be queried with:

select tb.tablename, c.columnname, w.name as windowname, t.name as tabname, f.name as fieldname
from ad_field f, ad_tab t, ad_window w, aD_column c, ad_table tb, ad_menu m
where f.isactive='N'
and t.isactive='Y'
and w.isactive='Y'
and c.isactive='Y'
and tb.isactive='Y'
and t.ad_tab_id = f.ad_tab_id
and w.ad_window_id = t.ad_window_id
and f.ad_column_id = c.ad_column_id
and tb.ad_table_id = c.ad_table_id
and m.ad_window_id = w.ad_window_id
order by 1,2;
(0030886)
alostale (manager)
2010-09-09 10:31

Do it as part of the cleanup project
(0030887)
alostale (manager)
2010-09-09 10:32

Attached fix
(0037278)
psarobe (manager)
2011-05-20 14:54

Can you give some light about this? Asier's comment says this is for the clean up project
(0038502)
shuehner (administrator)
2011-06-22 20:28

Not sure about the plan but cleanup is over. So either it's a normal (needed) bugfix and should be done as such during 3.0 cycle or will get reassigned to cleanup for next major openbravo release (3.1,4.0, whatever).
(0040576)
iperdomo (developer)
2011-08-31 09:53

This is not relevant anymore. The WAD generated code is just used in classic-mode windows, but after Status Bar fields project. Most of classic-mode windows are not usable.

- Issue History
Date Modified Username Field Change
2010-07-29 16:07 psarobe New Issue
2010-07-29 16:07 psarobe Assigned To => alostale
2010-07-29 16:12 psarobe Priority immediate => urgent
2010-07-29 16:12 psarobe Fixed in Version => 2.50MP21
2010-07-29 16:12 psarobe Description Updated View Revisions
2010-07-29 16:12 psarobe Proposed Solution updated
2010-08-02 08:09 alostale Status new => scheduled
2010-08-25 10:19 psarobe Fixed in Version 2.50MP21 =>
2010-08-25 10:19 psarobe Target Version => 2.50MP22
2010-08-30 10:51 alostale Note Added: 0030439
2010-08-30 11:09 alostale Note Added: 0030443
2010-09-07 11:00 alostale Assigned To alostale => eduardo_Argal
2010-09-08 16:46 adrianromero Severity major => minor
2010-09-09 10:31 alostale Assigned To eduardo_Argal => shuehner
2010-09-09 10:31 alostale Priority urgent => normal
2010-09-09 10:31 alostale Target Version 2.50MP22 =>
2010-09-09 10:31 alostale Note Added: 0030886
2010-09-09 10:31 alostale File Added: 14090.export
2010-09-09 10:32 alostale Note Added: 0030887
2010-09-09 10:33 alostale Relationship added blocks 0007236
2010-09-09 10:44 psarobe Relationship added related to 0014099
2011-05-20 14:54 psarobe Note Added: 0037278
2011-05-20 14:54 psarobe Status scheduled => feedback
2011-05-20 14:54 psarobe Target Version => 3.0MP0
2011-05-20 15:25 psarobe Assigned To shuehner => iperdomo
2011-05-23 13:47 psarobe Target Version 3.0MP0 => 3.0MP1
2011-06-22 19:41 dmitry_mezentsev Target Version 3.0MP1 => 3.0MP3
2011-06-22 20:28 shuehner Note Added: 0038502
2011-08-31 09:52 iperdomo Note Added: 0040575
2011-08-31 09:52 iperdomo Status feedback => closed
2011-08-31 09:52 iperdomo Resolution open => out of date
2011-08-31 09:52 iperdomo Status closed => new
2011-08-31 09:52 iperdomo Resolution out of date => open
2011-08-31 09:52 iperdomo Status new => scheduled
2011-08-31 09:52 iperdomo fix_in_branch => pi
2011-08-31 09:53 iperdomo Note Deleted: 0040575
2011-08-31 09:53 iperdomo Note Added: 0040576
2011-08-31 09:53 iperdomo Status scheduled => closed
2011-08-31 09:53 iperdomo Resolution open => invalid


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker